pkgsrc-Users archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
Re: CVS commit: pkgsrc/multimedia/vlc
If you (or someone else) want to test an update to 0.8.6c -- I've
been working on this a while ago. It used to work reasonably well,
but some recent change in the base system or in pkgsrc made that
the wxGTK gui crashes for me all the time.
I don't know whether I've just messed up my system, so perhaps it
helps if someone else tries it.
(Some polishing in the options/PLIST part is also needed.)
best regards
Matthias
-------------------------------------------------------------------------
----------------
-----------------------------------------------------------
------------------------------
Forschungszentrum Jülich GmbH
52425 Jülich
Sitz der Gesellschaft: Jülich
Eingetragen im Handelsregister des Amtsgerich
ts Düren Nr. HR B 3498
Vorsitzende des Aufsichtsrats: MinDirig'in Bärbel Bru
mme-Bothe
Geschäftsführung: Prof. Dr. Achim Bachem (Vorsitzender), Dr. Ulric
h Krafft (stellv.
Vorsitzender)
-------------------------------------------
----------------------------------------------
-----------------------------
------------------------------------------------------------
Index: devel/libebml/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libebml/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- devel/libebml/Makefile 1 Jul 2007 20:20:45 -0000 1.26
+++ devel/libebml/Makefile 3 Nov 2007 14:29:32 -0000
@@ -2,6 +2,7 @@
#
DISTNAME= libebml-0.7.7
+PKGREVISION= 1
CATEGORIES= devel
MASTER_SITES= http://dl.matroska.org/downloads/libebml/
EXTRACT_SUFX= .tar.bz2
@@ -15,12 +16,13 @@
USE_TOOLS+= gmake
USE_LANGUAGES= c++
+USE_LIBTOOL= yes
NO_CONFIGURE= yes
MAKEFLAGS+= prefix=${PREFIX:Q}
MAKE_ENV+= CXXFLAGS=${CXXFLAGS:M*:Q} RANLIB=${RANLIB:Q}
BUILD_DIRS= make/linux
-BUILD_TARGET= staticlib
-INSTALL_TARGET= install_headers install_staticlib
+BUILD_TARGET= sharedlib
+INSTALL_TARGET= install_headers install_sharedlib
.include "../../mk/bsd.pkg.mk"
Index: devel/libebml/PLIST
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libebml/PLIST,v
retrieving revision 1.4
diff -u -r1.4 PLIST
--- devel/libebml/PLIST 18 Apr 2005 00:51:51 -0000 1.4
+++ devel/libebml/PLIST 3 Nov 2007 14:29:32 -0000
@@ -25,6 +25,6 @@
include/ebml/MemIOCallback.h
include/ebml/StdIOCallback.h
include/ebml/c/libebml_t.h
-lib/libebml.a
+lib/libebml.la
@dirrm include/ebml/c
@dirrm include/ebml
Index: devel/libebml/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libebml/buildlink3.mk,v
retrieving revision 1.14
diff -u -r1.14 buildlink3.mk
--- devel/libebml/buildlink3.mk 8 Oct 2006 03:11:05 -0000 1.14
+++ devel/libebml/buildlink3.mk 3 Nov 2007 14:29:32 -0000
@@ -3,8 +3,6 @@
# This Makefile fragment is included by packages that use libebml.
#
-BUILDLINK_DEPMETHOD.libebml?= build
-
BUILDLINK_DEPTH:= ${BUILDLINK_DEPTH}+
LIBEBML_BUILDLINK3_MK:= ${LIBEBML_BUILDLINK3_MK}+
Index: devel/libebml/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libebml/distinfo,v
retrieving revision 1.14
diff -u -r1.14 distinfo
--- devel/libebml/distinfo 1 Jul 2007 20:20:45 -0000 1.14
+++ devel/libebml/distinfo 3 Nov 2007 14:29:32 -0000
@@ -3,4 +3,4 @@
SHA1 (libebml-0.7.7.tar.bz2) = e79f98968c8566c95637616c4419697e0adbecca
RMD160 (libebml-0.7.7.tar.bz2) = d42ec6606a16cc9b38cff501e14929853136fa0b
Size (libebml-0.7.7.tar.bz2) = 56527 bytes
-SHA1 (patch-aa) = fb3f3869817ba1a0de98caf35abe22f7ff1b4716
+SHA1 (patch-aa) = ae431e3b2736642d4d0f0292c58cc5f513bcc89a
Index: devel/libebml/patches/patch-aa
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libebml/patches/patch-aa,v
retrieving revision 1.8
diff -u -r1.8 patch-aa
--- devel/libebml/patches/patch-aa 1 Jul 2007 20:20:45 -0000 1.8
+++ devel/libebml/patches/patch-aa 3 Nov 2007 14:29:32 -0000
@@ -1,4 +1,4 @@
-$NetBSD: patch-aa,v 1.8 2007/07/01 20:20:45 heinz Exp $
+$NetBSD$
--- make/linux/Makefile.orig 2006-03-30 21:05:11.000000000 +0200
+++ make/linux/Makefile
@@ -24,7 +24,35 @@
INSTALL_OPTS = -m 644
INSTALL_OPTS_LIB = -m 644
INSTALL_DIR_OPTS = -m 755
-@@ -125,23 +125,23 @@ install: install_staticlib install_share
+@@ -51,7 +51,7 @@ LIBS=
+
+ # Names
+ LIBRARY=libebml.a
+-LIBRARY_SO=libebml.so
++LIBRARY_SO=libebml.la
+ LIBRARY_SO_VER=libebml.so.0
+
+ # source-files
+@@ -87,16 +87,14 @@ lib:
+ $(CXX) -c $(COMPILEFLAGS) -o $@ $<
+
+ %.lo: %$(EXTENSION)
+- $(CXX) -c $(COMPILEFLAGS) -fPIC -o $@ $<
++ $(LIBTOOL) --mode=compile $(CXX) -c $(COMPILEFLAGS) -o $@ $<
+
+ $(LIBRARY): $(objects)
+ $(AR) $@ $(objects)
+ $(RANLIB) $@
+
+ $(LIBRARY_SO): $(objects_so)
+- $(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER)
$(objects_so)
+- rm -f $(LIBRARY_SO)
+- ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)
++ $(LIBTOOL) --mode=link $(CXX) -o $(LIBRARY_SO) $(objects_so) -rpath
$(PREFIX)/lib -version-info 0
+
+ clean:
+ rm -f $(objects) $(objects_so)
+@@ -125,23 +123,22 @@ install: install_staticlib install_share
endif
install_headers:
@@ -52,8 +80,7 @@
- $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
- ln -s $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
-+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)
-+ ln -s $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)/$(LIBRARY_SO)
++ $(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO)
$(DESTDIR)$(libdir)
ifneq ($(wildcard .depend),)
Index: multimedia/libmatroska/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libmatroska/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- multimedia/libmatroska/Makefile 1 Jul 2007 20:23:19 -0000 1.21
+++ multimedia/libmatroska/Makefile 3 Nov 2007 14:29:32 -0000
@@ -1,8 +1,7 @@
# $NetBSD: Makefile,v 1.21 2007/07/01 20:23:19 heinz Exp $
#
-DISTNAME= libmatroska-0.8.0
-PKGREVISION= 1
+DISTNAME= libmatroska-0.8.1
CATEGORIES= multimedia devel
MASTER_SITES= http://dl.matroska.org/downloads/libmatroska/
EXTRACT_SUFX= .tar.bz2
@@ -16,15 +15,18 @@
USE_TOOLS+= gmake
USE_LANGUAGES= c++
+USE_LIBTOOL= yes
NO_CONFIGURE= yes
MAKEFLAGS+= prefix=${PREFIX:Q}
MAKE_ENV+= CXXFLAGS=${CXXFLAGS:M*:Q} RANLIB=${RANLIB:Q}
BUILD_DIRS= make/linux
-BUILD_TARGET= staticlib
-INSTALL_TARGET= install_headers install_staticlib
+BUILD_TARGET= sharedlib
+INSTALL_TARGET= install_headers install_sharedlib
TEST_TARGET= test
+# needed for libtoolization
+BUILDLINK_API_DEPENDS.libebml+= libebml>=0.7.7nb1
.include "../../devel/libebml/buildlink3.mk"
.include "../../mk/bsd.pkg.mk"
Index: multimedia/libmatroska/PLIST
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libmatroska/PLIST,v
retrieving revision 1.2
diff -u -r1.2 PLIST
--- multimedia/libmatroska/PLIST 18 Apr 2005 00:57:21 -0000 1.2
+++ multimedia/libmatroska/PLIST 3 Nov 2007 14:29:32 -0000
@@ -27,6 +27,6 @@
include/matroska/KaxVersion.h
include/matroska/c/libmatroska.h
include/matroska/c/libmatroska_t.h
-lib/libmatroska.a
+lib/libmatroska.la
@dirrm include/matroska/c
@dirrm include/matroska
Index: multimedia/libmatroska/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libmatroska/buildlink3.mk,v
retrieving revision 1.15
diff -u -r1.15 buildlink3.mk
--- multimedia/libmatroska/buildlink3.mk 8 Jul 2006 23:11:02 -0000
1.15
+++ multimedia/libmatroska/buildlink3.mk 3 Nov 2007 14:29:32 -0000
@@ -3,8 +3,6 @@
# This Makefile fragment is included by packages that use libmatroska.
#
-BUILDLINK_DEPMETHOD.libmatroska?= build
-
BUILDLINK_DEPTH:= ${BUILDLINK_DEPTH}+
LIBMATROSKA_BUILDLINK3_MK:= ${LIBMATROSKA_BUILDLINK3_MK}+
Index: multimedia/libmatroska/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libmatroska/distinfo,v
retrieving revision 1.15
diff -u -r1.15 distinfo
--- multimedia/libmatroska/distinfo 1 Jul 2007 20:23:19 -0000 1.15
+++ multimedia/libmatroska/distinfo 3 Nov 2007 14:29:32 -0000
@@ -1,6 +1,6 @@
$NetBSD: distinfo,v 1.15 2007/07/01 20:23:19 heinz Exp $
-SHA1 (libmatroska-0.8.0.tar.bz2) = 7725d874dbf37ec7c41115804f091fa1554c6338
-RMD160 (libmatroska-0.8.0.tar.bz2) = e2fb6dcad7157373a271273a1a3ffc4428da9744
-Size (libmatroska-0.8.0.tar.bz2) = 90653 bytes
-SHA1 (patch-ac) = cd865ba47b6e1edf5988db2ff12ad9cd2f0dbc1c
+SHA1 (libmatroska-0.8.1.tar.bz2) = 8317c3a2a19f27a05c5dd289c3496c21a1d12456
+RMD160 (libmatroska-0.8.1.tar.bz2) = 195ca5fcf48653fea56e42ce4074d16447c680ac
+Size (libmatroska-0.8.1.tar.bz2) = 91381 bytes
+SHA1 (patch-ac) = 1fb682d09cb14bf1cfea1b396a3055bbf708383b
Index: multimedia/libmatroska/patches/patch-ac
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libmatroska/patches/patch-ac,v
retrieving revision 1.7
diff -u -r1.7 patch-ac
--- multimedia/libmatroska/patches/patch-ac 1 Jul 2007 20:23:19 -0000
1.7
+++ multimedia/libmatroska/patches/patch-ac 3 Nov 2007 14:29:32 -0000
@@ -1,6 +1,6 @@
-$NetBSD: patch-ac,v 1.7 2007/07/01 20:23:19 heinz Exp $
+$NetBSD$
---- make/linux/Makefile.orig 2005-04-19 09:00:00.000000000 +0200
+--- make/linux/Makefile.orig 2006-06-02 16:32:52.000000000 +0200
+++ make/linux/Makefile
@@ -16,15 +16,15 @@ prefix=/boot/home/config
else
@@ -24,7 +24,35 @@
INSTALL_OPTS = -m 644
INSTALL_OPTS_LIB = -m 644
INSTALL_DIR_OPTS = -m 755
-@@ -155,23 +155,23 @@ install: install_staticlib install_share
+@@ -56,7 +56,7 @@ MUX_LIBS=-lmatroska -lebml $(LIBICONV)
+
+ # Names
+ LIBRARY=libmatroska.a
+-LIBRARY_SO=libmatroska.so
++LIBRARY_SO=libmatroska.la
+ LIBRARY_SO_VER=libmatroska.so.0
+
+ # source-files
+@@ -95,16 +95,14 @@ lib:
+ $(CXX) -c $(COMPILEFLAGS) -o $@ $<
+
+ %.lo: %$(EXTENSION)
+- $(CXX) -c $(COMPILEFLAGS) -fPIC -o $@ $<
++ $(LIBTOOL) --mode=compile $(CXX) -c $(COMPILEFLAGS) -o $@ $<
+
+ $(LIBRARY): $(objects)
+ $(AR) $@ $(objects)
+ $(RANLIB) $@
+
+ $(LIBRARY_SO): $(objects_so)
+- $(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER)
$(objects_so) -lebml
+- rm -f $(LIBRARY_SO)
+- ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)
++ $(LIBTOOL) --mode=link $(CXX) -o $(LIBRARY_SO) $(objects_so) -lebml
-rpath $(PREFIX)/lib -version-info 0
+
+ clean: cleantest
+ rm -f $(objects) $(objects_so)
+@@ -156,23 +154,22 @@ install: install_staticlib install_share
endif
install_headers:
@@ -50,10 +78,9 @@
install_sharedlib: $(LIBRARY_SO)
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
- $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
-- ln -s $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
+- ln -fs $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
-+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)
-+ ln -s $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)/$(LIBRARY_SO)
++ $(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO)
$(DESTDIR)$(libdir)
ifneq ($(wildcard .depend),)
include .depend
Index: multimedia/vlc/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/vlc/Makefile,v
retrieving revision 1.46
diff -u -r1.46 Makefile
--- multimedia/vlc/Makefile 31 Oct 2007 15:35:30 -0000 1.46
+++ multimedia/vlc/Makefile 3 Nov 2007 14:29:32 -0000
@@ -2,7 +2,6 @@
#
DISTNAME= vlc-${VLC_VER}
-PKGREVISION= 7
CATEGORIES= multimedia
MASTER_SITES=
http://download.videolan.org/pub/videolan/vlc/${VLC_VER}/
EXTRACT_SUFX= .tar.bz2
@@ -17,8 +16,9 @@
GNU_CONFIGURE= yes
PTHREAD_OPTS+= require
USE_LANGUAGES= c c++
+USE_DIRS+= xdg-1.1
-VLC_VER= 0.8.5
+VLC_VER= 0.8.6c
.include "../../mk/bsd.prefs.mk"
@@ -44,8 +44,8 @@
CONFIGURE_ARGS+= --with-ffmpeg-zlib
CONFIGURE_ARGS+= --enable-cddax
CONFIGURE_ARGS+= --enable-dvdread
-CONFIGURE_ARGS+= --enable-faad
-CONFIGURE_ARGS+= --enable-flac
+
+.include "options.mk"
pre-install:
${INSTALL_DATA_DIR} ${PREFIX}/share/vlc/http/dialogs
@@ -100,8 +100,6 @@
CONFIGURE_ARGS+= x_libraries=${PREFIX}/lib
.endif
-.include "../../audio/faad2/buildlink3.mk"
-.include "../../audio/flac/buildlink3.mk"
.include "../../audio/lame/buildlink3.mk"
.include "../../audio/liba52/buildlink3.mk"
.include "../../audio/libcddb/buildlink3.mk"
@@ -119,12 +117,15 @@
.include "../../multimedia/libdvbpsi/buildlink3.mk"
.include "../../multimedia/libdvdnav/buildlink3.mk"
.include "../../multimedia/libdvdread/buildlink3.mk"
+# needed for libtoolization
+BUILDLINK_API_DEPENDS.libmatroska= libmatroska>=0.8.1
.include "../../multimedia/libmatroska/buildlink3.mk"
.include "../../multimedia/libmpeg2/buildlink3.mk"
.include "../../multimedia/libogg/buildlink3.mk"
.include "../../textproc/libxml2/buildlink3.mk"
.include "../../x11/libXv/buildlink3.mk"
.include "../../x11/libXxf86vm/buildlink3.mk"
+.include "../../x11/libXdamage/buildlink3.mk"
.include "../../mk/oss.buildlink3.mk"
.include "../../mk/pthread.buildlink3.mk"
Index: multimedia/vlc/PLIST
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/vlc/PLIST,v
retrieving revision 1.8
diff -u -r1.8 PLIST
--- multimedia/vlc/PLIST 31 Oct 2007 15:35:30 -0000 1.8
+++ multimedia/vlc/PLIST 3 Nov 2007 14:29:33 -0000
@@ -22,12 +22,11 @@
lib/vlc/access/libaccess_mms_plugin.so
lib/vlc/access/libaccess_tcp_plugin.so
lib/vlc/access/libaccess_udp_plugin.so
-${COND_CDDA}lib/vlc/access/libcdda_plugin.so
lib/vlc/access/libcddax_plugin.so
lib/vlc/access/libdvdnav_plugin.so
lib/vlc/access/libdvdread_plugin.so
lib/vlc/access/libscreen_plugin.so
-${COND_VCD}lib/vlc/access/libvcd_plugin.so
+lib/vlc/access_filter/libaccess_filter_dump_plugin.so
lib/vlc/access_filter/libaccess_filter_record_plugin.so
lib/vlc/access_filter/libaccess_filter_timeshift_plugin.so
lib/vlc/access_output/libaccess_output_dummy_plugin.so
@@ -88,6 +87,7 @@
lib/vlc/codec/libspudec_plugin.so
lib/vlc/codec/libsubsdec_plugin.so
lib/vlc/codec/libsvcdsub_plugin.so
+lib/vlc/codec/libtelx_plugin.so
lib/vlc/codec/libvorbis_plugin.so
lib/vlc/control/libgestures_plugin.so
lib/vlc/control/libhotkeys_plugin.so
@@ -110,6 +110,7 @@
lib/vlc/demux/libm4a_plugin.so
lib/vlc/demux/libm4v_plugin.so
lib/vlc/demux/libmjpeg_plugin.so
+lib/vlc/demux/libmkv_plugin.so
lib/vlc/demux/libmp4_plugin.so
lib/vlc/demux/libmpga_plugin.so
lib/vlc/demux/libmpgv_plugin.so
@@ -125,6 +126,7 @@
lib/vlc/demux/libsgimb_plugin.so
lib/vlc/demux/libsubtitle_plugin.so
lib/vlc/demux/libts_plugin.so
+lib/vlc/demux/libtta_plugin.so
lib/vlc/demux/libty_plugin.so
lib/vlc/demux/libvobsub_plugin.so
lib/vlc/demux/libvoc_plugin.so
@@ -140,7 +142,6 @@
lib/vlc/libmemcpy3dn.a
lib/vlc/libmemcpymmx.a
lib/vlc/libmemcpymmxext.a
-lib/vlc/libmkv.a
lib/vlc/libmux_ts.a
lib/vlc/libstream_out_switcher.a
lib/vlc/misc/libdummy_plugin.so
@@ -215,16 +216,24 @@
lib/vlc/visualization/libvisual_plugin.so
man/man1/vlc-config.1
man/man1/vlc.1
+share/applications/vlc.desktop
share/doc/vlc/bugreport-howto.txt
share/doc/vlc/fortunes.txt
share/doc/vlc/intf-cdda.txt
share/doc/vlc/intf-vcd.txt
+share/locale/af/LC_MESSAGES/vlc.mo
+share/locale/ar/LC_MESSAGES/vlc.mo
share/locale/ca/LC_MESSAGES/vlc.mo
+share/locale/co/LC_MESSAGES/vlc.mo
+share/locale/cs/LC_MESSAGES/vlc.mo
share/locale/da/LC_MESSAGES/vlc.mo
share/locale/de/LC_MESSAGES/vlc.mo
share/locale/en_GB/LC_MESSAGES/vlc.mo
share/locale/es/LC_MESSAGES/vlc.mo
+share/locale/eu/LC_MESSAGES/vlc.mo
+share/locale/fa/LC_MESSAGES/vlc.mo
share/locale/fr/LC_MESSAGES/vlc.mo
+share/locale/fur/LC_MESSAGES/vlc.mo
share/locale/gl/LC_MESSAGES/vlc.mo
share/locale/he/LC_MESSAGES/vlc.mo
share/locale/hi/LC_MESSAGES/vlc.mo
@@ -233,12 +242,23 @@
share/locale/ja/LC_MESSAGES/vlc.mo
share/locale/ka/LC_MESSAGES/vlc.mo
share/locale/ko/LC_MESSAGES/vlc.mo
+share/locale/lt/LC_MESSAGES/vlc.mo
+share/locale/lv/LC_MESSAGES/vlc.mo
+share/locale/ms/LC_MESSAGES/vlc.mo
+share/locale/nb/LC_MESSAGES/vlc.mo
+share/locale/ne/LC_MESSAGES/vlc.mo
share/locale/nl/LC_MESSAGES/vlc.mo
+share/locale/nn/LC_MESSAGES/vlc.mo
share/locale/oc/LC_MESSAGES/vlc.mo
+share/locale/pa/LC_MESSAGES/vlc.mo
share/locale/pt_BR/LC_MESSAGES/vlc.mo
share/locale/ro/LC_MESSAGES/vlc.mo
share/locale/ru/LC_MESSAGES/vlc.mo
+share/locale/sk/LC_MESSAGES/vlc.mo
+share/locale/sl/LC_MESSAGES/vlc.mo
+share/locale/sq/LC_MESSAGES/vlc.mo
share/locale/sv/LC_MESSAGES/vlc.mo
+share/locale/th/LC_MESSAGES/vlc.mo
share/locale/tr/LC_MESSAGES/vlc.mo
share/locale/zh_CN/LC_MESSAGES/vlc.mo
share/locale/zh_TW/LC_MESSAGES/vlc.mo
@@ -418,6 +438,8 @@
@dirrm share/vlc/http/dialogs
@dirrm share/vlc/http
@dirrm share/vlc
+@dirrm share/locale/fur/LC_MESSAGES
+@dirrm share/locale/co/LC_MESSAGES
@dirrm share/doc/vlc
@dirrm lib/vlc/visualization
@dirrm lib/vlc/video_output
Index: multimedia/vlc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/vlc/buildlink3.mk,v
retrieving revision 1.15
diff -u -r1.15 buildlink3.mk
--- multimedia/vlc/buildlink3.mk 27 Sep 2006 06:02:00 -0000 1.15
+++ multimedia/vlc/buildlink3.mk 3 Nov 2007 14:29:33 -0000
@@ -19,7 +19,7 @@
.include "../../audio/faad2/buildlink3.mk"
.include "../../audio/lame/buildlink3.mk"
.include "../../audio/liba52/buildlink3.mk"
-.include "../../audio/libcddb/buildlink3.mk"
+#.include "../../audio/libcddb/buildlink3.mk"
.include "../../audio/libid3tag/buildlink3.mk"
.include "../../audio/libmad/buildlink3.mk"
.include "../../audio/libvorbis/buildlink3.mk"
@@ -28,7 +28,7 @@
.include "../../devel/gettext-lib/buildlink3.mk"
.include "../../graphics/SDL_image/buildlink3.mk"
.include "../../graphics/freetype2/buildlink3.mk"
-.include "../../misc/libcdio/buildlink3.mk"
+#.include "../../misc/libcdio/buildlink3.mk"
.include "../../multimedia/ffmpeg/buildlink3.mk"
.include "../../multimedia/libdvdplay/buildlink3.mk"
.include "../../multimedia/libdvdnav/buildlink3.mk"
Index: multimedia/vlc/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/vlc/distinfo,v
retrieving revision 1.12
diff -u -r1.12 distinfo
--- multimedia/vlc/distinfo 22 Jun 2007 14:32:24 -0000 1.12
+++ multimedia/vlc/distinfo 3 Nov 2007 14:29:33 -0000
@@ -1,16 +1,13 @@
$NetBSD: distinfo,v 1.12 2007/06/22 14:32:24 lkundrak Exp $
-SHA1 (vlc-0.8.5.tar.bz2) = 2f0a26a336a5211f32c7bcc653dfd0b27f1fb26b
-RMD160 (vlc-0.8.5.tar.bz2) = d24140a5b4bf771754028090e103bb5c171e4fd8
-Size (vlc-0.8.5.tar.bz2) = 8562996 bytes
-SHA1 (patch-aa) = a12d95fc0d6266969431a3c42d438b3cc11acc79
-SHA1 (patch-ab) = 3a0754638228d664570c7c437b5188195b23c734
-SHA1 (patch-ad) = 374f8deb5179c72b4055cdbd37d318a44b3c9e7e
+SHA1 (vlc-0.8.6c.tar.bz2) = aefaf7a039874930b3e7caf139d2ed5b5bbd0a56
+RMD160 (vlc-0.8.6c.tar.bz2) = 6245419e39401b1ee138a5be3ea0375cdedcb17e
+Size (vlc-0.8.6c.tar.bz2) = 11147601 bytes
+SHA1 (patch-aa) = 79d2167dcd4a9233cc5aa7a3082e14ff85565f59
+SHA1 (patch-ab) = fedffe97e117cdf57fd6156c5d6f4e73ecb3d5a9
+SHA1 (patch-ac) = 96fbcb5b7b1cb6a072f451435347118bb9d1d949
+SHA1 (patch-ae) = 674d2724ad87beeae1442329077a298789b43bf3
SHA1 (patch-ag) = 44061c0018d97c45d4edfdb2a16192f3c99024f8
-SHA1 (patch-ah) = 5a355a70b7b39c0a33db7cc37e3944f903686d3f
-SHA1 (patch-ai) = 655df187ab529eb30753531dafbf4b68f7a85785
+SHA1 (patch-ai) = c330602df8536a9948919f6f024c1cbf1cf6b39d
SHA1 (patch-aj) = ff16b192696f7a8517b2bf343697cb81c6041015
-SHA1 (patch-ak) = e9d9a6073134861033cb10820ec2307d3ca42e3d
-SHA1 (patch-al) = d363baa7a1d4150b2b12376652650295e546f0fe
-SHA1 (patch-am) = 7d212c47879c718a7685fe94660c9fa71a02f4c3
-SHA1 (patch-an) = 6388e50ad6b7c4cc6860759d514ca691b996ee45
+SHA1 (patch-ba) = 965d8cf6e66750f7782825c4ed99224d057dc9d9
Index: multimedia/vlc/options.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/vlc/options.mk,v
retrieving revision 1.1
diff -u -r1.1 options.mk
--- multimedia/vlc/options.mk 31 Oct 2007 15:35:30 -0000 1.1
+++ multimedia/vlc/options.mk 3 Nov 2007 14:29:33 -0000
@@ -1,16 +1,16 @@
# $NetBSD: options.mk,v 1.1 2007/10/31 15:35:30 sborrill Exp $
PKG_OPTIONS_VAR= PKG_OPTIONS.vlc
-PKG_SUPPORTED_OPTIONS= skins wxwidgets
-PKG_SUGGESTED_OPTIONS= wxwidgets
+PKG_SUPPORTED_OPTIONS= skins wxwidgets faad flac
+PKG_SUGGESTED_OPTIONS= wxwidgets faad flac
.include "../../mk/bsd.options.mk"
.if !empty(PKG_OPTIONS:Mskins)
-CONFIGURE_ARGS+= --enable-skins
+CONFIGURE_ARGS+= --enable-skins2
PLIST_SUBST+= COND_SKINS=
.else
-CONFIGURE_ARGS+= --disable-skins
+CONFIGURE_ARGS+= --disable-skins2
PLIST_SUBST+= COND_SKINS="@comment "
.endif
@@ -22,3 +22,17 @@
CONFIGURE_ARGS+= --disable-wxwidgets
PLIST_SUBST+= COND_WXWIDGETS="@comment "
.endif
+
+.if !empty(PKG_OPTIONS:Mfaad)
+CONFIGURE_ARGS+= --enable-faad
+.include "../../audio/faad2/buildlink3.mk"
+.else
+CONFIGURE_ARGS+= --disable-faad
+.endif
+
+.if !empty(PKG_OPTIONS:Mflac)
+CONFIGURE_ARGS+= --enable-flac
+.include "../../audio/flac/buildlink3.mk"
+.else
+CONFIGURE_ARGS+= --disable-flac
+.endif
Index: multimedia/vlc/patches/patch-aa
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/vlc/patches/patch-aa,v
retrieving revision 1.4
diff -u -r1.4 patch-aa
--- multimedia/vlc/patches/patch-aa 26 Sep 2006 07:27:19 -0000 1.4
+++ multimedia/vlc/patches/patch-aa 3 Nov 2007 14:29:33 -0000
@@ -1,13 +1,12 @@
-$NetBSD: patch-aa,v 1.4 2006/09/26 07:27:19 martti Exp $
-
---- include/vlc_common.h.orig 2006-05-19 19:46:18.000000000 +0000
-+++ include/vlc_common.h
-@@ -873,7 +873,7 @@ static inline void _SetQWBE( uint8_t *p,
+$NetBSD$
+--- include/vlc_common.h.orig 2007-04-18 00:45:30.000000000 +0300
++++ include/vlc_common.h 2007-04-30 20:55:50.000000000 +0300
+@@ -880,7 +880,7 @@
# define vlc_strtoll NULL
#endif
--#if defined(SYS_BEOS)
-+#if defined(SYS_BEOS) || defined(__DragonFly__)
+-#if defined(SYS_BEOS) \
++#if defined(SYS_BEOS) || defined (__DragonFly__) \
+ || (defined (__FreeBSD__) && (__FreeBSD__ < 5))
typedef struct {
long long quot; /* Quotient. */
- long long rem; /* Remainder. */
Index: multimedia/vlc/patches/patch-ab
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/vlc/patches/patch-ab,v
retrieving revision 1.2
diff -u -r1.2 patch-ab
--- multimedia/vlc/patches/patch-ab 26 Sep 2006 07:27:19 -0000 1.2
+++ multimedia/vlc/patches/patch-ab 3 Nov 2007 14:29:33 -0000
@@ -1,13 +1,12 @@
-$NetBSD: patch-ab,v 1.2 2006/09/26 07:27:19 martti Exp $
-
---- src/extras/libc.c.orig 2006-05-19 20:06:19.000000000 +0000
-+++ src/extras/libc.c
-@@ -346,7 +346,7 @@ int64_t vlc_atoll( const char *nptr )
+$NetBSD$
+--- src/extras/libc.c.orig 2007-04-18 00:44:55.000000000 +0300
++++ src/extras/libc.c 2007-04-30 20:57:23.000000000 +0300
+@@ -348,7 +348,7 @@
/*****************************************************************************
* lldiv: returns quotient and remainder
*****************************************************************************/
--#if defined(SYS_BEOS)
-+#if defined(SYS_BEOS) || defined(__DragonFly__)
+-#if defined(SYS_BEOS) \
++#if defined(SYS_BEOS) || defined(__DragonFly__) \
+ || (defined (__FreeBSD__) && (__FreeBSD__ < 5))
lldiv_t vlc_lldiv( long long numer, long long denom )
{
- lldiv_t d;
Index: multimedia/vlc/patches/patch-ac
===================================================================
RCS file: multimedia/vlc/patches/patch-ac
diff -N multimedia/vlc/patches/patch-ac
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ multimedia/vlc/patches/patch-ac 3 Nov 2007 14:29:33 -0000
@@ -0,0 +1,21 @@
+$NetBSD$
+--- modules/codec/ffmpeg/ffmpeg.c.orig 2007-04-30 21:56:38.000000000 +0300
++++ modules/codec/ffmpeg/ffmpeg.c 2007-04-30 21:56:50.000000000 +0300
+@@ -1129,7 +1129,7 @@
+ AUDIO_ES, "PCM U16 LE" },
+ { VLC_FOURCC('u','1','6','b'), CODEC_ID_PCM_U16BE,
+ AUDIO_ES, "PCM U16 BE" },
+- { VLC_FOURCC('s','2','4','l'), CODEC_ID_PCM_S24LE,
++/* { VLC_FOURCC('s','2','4','l'), CODEC_ID_PCM_S24LE,
+ AUDIO_ES, "PCM S24 LE" },
+ { VLC_FOURCC('s','2','4','b'), CODEC_ID_PCM_S24BE,
+ AUDIO_ES, "PCM S24 BE" },
+@@ -1145,7 +1145,7 @@
+ AUDIO_ES, "PCM U32 LE" },
+ { VLC_FOURCC('u','3','2','b'), CODEC_ID_PCM_U32BE,
+ AUDIO_ES, "PCM U32 BE" },
+- { VLC_FOURCC('a','l','a','w'), CODEC_ID_PCM_ALAW,
++*/ { VLC_FOURCC('a','l','a','w'), CODEC_ID_PCM_ALAW,
+ AUDIO_ES, "PCM ALAW" },
+ { VLC_FOURCC('u','l','a','w'), CODEC_ID_PCM_MULAW,
+ AUDIO_ES, "PCM ULAW" },
Index: multimedia/vlc/patches/patch-ad
===================================================================
RCS file: multimedia/vlc/patches/patch-ad
diff -N multimedia/vlc/patches/patch-ad
--- multimedia/vlc/patches/patch-ad 13 Jan 2007 07:32:36 -0000 1.3
+++ /dev/null 1 Jan 1970 00:00:00 -0000
@@ -1,165 +0,0 @@
-$NetBSD: patch-ad,v 1.3 2007/01/13 07:32:36 wiz Exp $
-
---- modules/codec/flac.c.orig 2006-05-06 15:52:19.000000000 +0000
-+++ modules/codec/flac.c
-@@ -33,6 +33,12 @@
- # include <FLAC/stream_decoder.h>
- # include <FLAC/stream_encoder.h>
- # define USE_LIBFLAC
-+ /* by LEGACY_FLAC we mean before FLAC 1.1.3 when the decoder/encoder APIs
were simplified */
-+# if !defined(FLAC_API_VERSION_CURRENT) || FLAC_API_VERSION_CURRENT < 8
-+# define LEGACY_FLAC
-+# else
-+# undef LEGACY_FLAC
-+# endif
- #endif
-
- #include "vlc_block_helper.h"
-@@ -133,7 +139,12 @@ static int SyncInfo( decoder_t *, uint8_
- #ifdef USE_LIBFLAC
- static FLAC__StreamDecoderReadStatus
- DecoderReadCallback( const FLAC__StreamDecoder *decoder,
-- FLAC__byte buffer[], unsigned *bytes, void *client_data
);
-+#ifdef LEGACY_FLAC
-+ FLAC__byte buffer[], unsigned *bytes,
-+#else
-+ FLAC__byte buffer[], size_t *bytes,
-+#endif
-+ void *client_data );
-
- static FLAC__StreamDecoderWriteStatus
- DecoderWriteCallback( const FLAC__StreamDecoder *decoder,
-@@ -223,6 +234,7 @@ static int OpenDecoder( vlc_object_t *p_
- return VLC_EGENERIC;
- }
-
-+#ifdef LEGACY_FLAC
- FLAC__stream_decoder_set_read_callback( p_sys->p_flac,
- DecoderReadCallback );
- FLAC__stream_decoder_set_write_callback( p_sys->p_flac,
-@@ -233,7 +245,12 @@ static int OpenDecoder( vlc_object_t *p_
- DecoderErrorCallback );
- FLAC__stream_decoder_set_client_data( p_sys->p_flac, p_dec );
-
-+ /* really should check the return value here */
- FLAC__stream_decoder_init( p_sys->p_flac );
-+#else
-+ /* really should check the return value here */
-+ FLAC__stream_decoder_init_stream( p_sys->p_flac, DecoderReadCallback,
NULL, NULL, NULL, NULL, DecoderWriteCallback, DecoderMetadataCallback,
DecoderErrorCallback, p_dec );
-+#endif
- #endif
-
- /* Set output properties */
-@@ -535,7 +552,12 @@ static aout_buffer_t *DecodeBlock( decod
-
*****************************************************************************/
- static FLAC__StreamDecoderReadStatus
- DecoderReadCallback( const FLAC__StreamDecoder *decoder, FLAC__byte buffer[],
-- unsigned *bytes, void *client_data )
-+#ifdef LEGACY_FLAC
-+ unsigned *bytes,
-+#else
-+ size_t *bytes,
-+#endif
-+ void *client_data )
- {
- decoder_t *p_dec = (decoder_t *)client_data;
- decoder_sys_t *p_sys = p_dec->p_sys;
-@@ -660,6 +682,11 @@ static void DecoderErrorCallback( const
- msg_Err( p_dec, "frame's data did not match the CRC in the "
- "footer." );
- break;
-+#ifndef LEGACY_FLAC
-+ case FLAC__STREAM_DECODER_ERROR_STATUS_UNPARSEABLE_STREAM:
-+ msg_Err( p_dec, "the decoder encountered reserved fields in use in
the stream." );
-+ break;
-+#endif
- default:
- msg_Err( p_dec, "got decoder error: %d", status );
- }
-@@ -722,16 +749,11 @@ static void decoder_state_error( decoder
- case FLAC__STREAM_DECODER_END_OF_STREAM:
- msg_Dbg( p_dec, "the decoder has reached the end of the stream." );
- break;
-- case FLAC__STREAM_DECODER_ABORTED:
-- msg_Warn( p_dec, "the decoder was aborted by the read callback." );
-- break;
-+#ifdef LEGACY_FLAC
- case FLAC__STREAM_DECODER_UNPARSEABLE_STREAM:
- msg_Warn( p_dec, "the decoder encountered reserved fields in use "
- "in the stream." );
- break;
-- case FLAC__STREAM_DECODER_MEMORY_ALLOCATION_ERROR:
-- msg_Err( p_dec, "error when allocating memory." );
-- break;
- case FLAC__STREAM_DECODER_ALREADY_INITIALIZED:
- msg_Err( p_dec, "FLAC__stream_decoder_init() was called when the "
- "decoder was already initialized, usually because "
-@@ -741,6 +763,20 @@ static void decoder_state_error( decoder
- msg_Err( p_dec, "FLAC__stream_decoder_init() was called without "
- "all callbacks being set." );
- break;
-+#else
-+ case FLAC__STREAM_DECODER_OGG_ERROR:
-+ msg_Warn( p_dec, "an error occurred in the underlying Ogg layer." );
-+ break;
-+ case FLAC__STREAM_DECODER_SEEK_ERROR:
-+ msg_Warn( p_dec, "an error occurred while seeking." );
-+ break;
-+#endif
-+ case FLAC__STREAM_DECODER_ABORTED:
-+ msg_Warn( p_dec, "the decoder was aborted by the read callback." );
-+ break;
-+ case FLAC__STREAM_DECODER_MEMORY_ALLOCATION_ERROR:
-+ msg_Err( p_dec, "error when allocating memory." );
-+ break;
- case FLAC__STREAM_DECODER_UNINITIALIZED:
- msg_Err( p_dec, "decoder in uninitialized state." );
- break;
-@@ -1138,7 +1174,11 @@ static block_t *Encode( encoder_t *, aou
- static FLAC__StreamEncoderWriteStatus
- EncoderWriteCallback( const FLAC__StreamEncoder *encoder,
- const FLAC__byte buffer[],
-+#ifdef LEGACY_FLAC
- unsigned bytes, unsigned samples,
-+#else
-+ size_t bytes, unsigned samples,
-+#endif
- unsigned current_frame, void *client_data );
-
- static void EncoderMetadataCallback( const FLAC__StreamEncoder *encoder,
-@@ -1185,15 +1225,23 @@ static int OpenEncoder( vlc_object_t *p_
- FLAC__stream_encoder_set_bits_per_sample( p_sys->p_flac, 16 );
- p_enc->fmt_in.i_codec = AOUT_FMT_S16_NE;
-
-+#ifdef LEGACY_FLAC
- FLAC__stream_encoder_set_write_callback( p_sys->p_flac,
- EncoderWriteCallback );
- FLAC__stream_encoder_set_metadata_callback( p_sys->p_flac,
- EncoderMetadataCallback );
- FLAC__stream_encoder_set_client_data( p_sys->p_flac, p_enc );
-+#endif
-
- /* Get and store the STREAMINFO metadata block as a p_extra */
- p_sys->p_chain = 0;
-+#ifdef LEGACY_FLAC
-+ /* really should check the return value here */
- FLAC__stream_encoder_init( p_sys->p_flac );
-+#else
-+ /* really should check the return value here */
-+ FLAC__stream_encoder_init_stream( p_sys->p_flac, EncoderWriteCallback,
NULL, NULL, EncoderMetadataCallback, p_enc );
-+#endif
-
- return VLC_SUCCESS;
- }
-@@ -1270,7 +1318,11 @@ static void EncoderMetadataCallback( con
- static FLAC__StreamEncoderWriteStatus
- EncoderWriteCallback( const FLAC__StreamEncoder *encoder,
- const FLAC__byte buffer[],
-+#ifdef LEGACY_FLAC
- unsigned bytes, unsigned samples,
-+#else
-+ size_t bytes, unsigned samples,
-+#endif
- unsigned current_frame, void *client_data )
- {
- encoder_t *p_enc = (encoder_t *)client_data;
Index: multimedia/vlc/patches/patch-ae
===================================================================
RCS file: multimedia/vlc/patches/patch-ae
diff -N multimedia/vlc/patches/patch-ae
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ multimedia/vlc/patches/patch-ae 3 Nov 2007 14:29:33 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+--- modules/codec/ffmpeg/encoder.c.orig 2007-04-30 21:58:20.000000000
+0300
++++ modules/codec/ffmpeg/encoder.c 2007-04-30 21:58:41.000000000 +0300
+@@ -383,9 +383,9 @@
+
+ p_context->width = p_enc->fmt_in.video.i_width;
+ p_context->height = p_enc->fmt_in.video.i_height;
+- if( p_enc->fmt_out.i_codec == VLC_FOURCC('m', 'p', '2', 'v')
++/* if( p_enc->fmt_out.i_codec == VLC_FOURCC('m', 'p', '2', 'v')
+ && (p_context->width > 720 || p_context->height > 576) )
+- p_context->level = 4; /* High level */
++ p_context->level = 4; High level after ffmpeg update */
+
+ #if LIBAVCODEC_BUILD >= 4754
+ p_context->time_base.num = p_enc->fmt_in.video.i_frame_rate_base;
Index: multimedia/vlc/patches/patch-ah
===================================================================
RCS file: multimedia/vlc/patches/patch-ah
diff -N multimedia/vlc/patches/patch-ah
--- multimedia/vlc/patches/patch-ah 26 Sep 2006 07:27:19 -0000 1.1
+++ /dev/null 1 Jan 1970 00:00:00 -0000
@@ -1,18 +0,0 @@
-$NetBSD: patch-ah,v 1.1 2006/09/26 07:27:19 martti Exp $
-
---- src/misc/charset.c.orig 2006-05-06 17:52:13.000000000 +0200
-+++ src/misc/charset.c
-@@ -37,10 +37,9 @@
- #if !defined WIN32
- # if HAVE_LANGINFO_CODESET
- # include <langinfo.h>
--# else
--# if HAVE_SETLOCALE
--# include <locale.h>
--# endif
-+# endif
-+# if HAVE_SETLOCALE
-+# include <locale.h>
- # endif
- #elif defined WIN32
- # include <windows.h>
Index: multimedia/vlc/patches/patch-ai
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/vlc/patches/patch-ai,v
retrieving revision 1.1
diff -u -r1.1 patch-ai
--- multimedia/vlc/patches/patch-ai 26 Sep 2006 07:27:19 -0000 1.1
+++ multimedia/vlc/patches/patch-ai 3 Nov 2007 14:29:33 -0000
@@ -1,43 +1,56 @@
-$NetBSD: patch-ai,v 1.1 2006/09/26 07:27:19 martti Exp $
-
---- configure.orig 2006-05-06 15:54:17.000000000 +0000
-+++ configure
-@@ -30035,13 +30035,13 @@ fi
+$NetBSD$
+--- configure.orig 2007-04-18 00:46:17.000000000 +0300
++++ configure 2007-04-30 21:10:47.000000000 +0300
+@@ -30184,13 +30184,13 @@
if test "${SYS}" != "mingw32" -a "${SYS}" != "mingwce"; then
THREAD_LIB=error
if test "${THREAD_LIB}" = "error"; then
-- echo "$as_me:$LINENO: checking for main in -lpthread" >&5
--echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6
-+ echo "$as_me:$LINENO: checking for main in ${PTHREAD_LDFLAGS}
${PTHREAD_LIBS}" >&5
-+echo $ECHO_N "checking for main in ${PTHREAD_LDFLAGS} ${PTHREAD_LIBS}...
$ECHO_C" >&6
+- { echo "$as_me:$LINENO: checking for main in -lpthread" >&5
+-echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6; }
++ { echo "$as_me:$LINENO: checking for main in ${PTHREAD_LDFLAGS}
${PTHREAD_LIBS}" >&5
++echo $ECHO_N "checking for main in ${PTHREAD_LDFLAGS} ${PTHREAD_LIBS} ...
$ECHO_C" >&6; }
if test "${ac_cv_lib_pthread_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lpthread $LIBS"
-+LIBS="${PTHREAD_LDFLAGS} ${PTHREAD_LIBS} $LIBS"
++LIBS="${PTHREAD_LDFLAGS} ${PTHREAD_LIBS} $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
-@@ -30093,7 +30093,7 @@ fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
- echo "${ECHO_T}$ac_cv_lib_pthread_main" >&6
+@@ -30240,18 +30240,18 @@
+ { echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
+ echo "${ECHO_T}$ac_cv_lib_pthread_main" >&6; }
if test $ac_cv_lib_pthread_main = yes; then
- THREAD_LIB="-lpthread"
+ THREAD_LIB="${PTHREAD_LDFLAGS} ${PTHREAD_LIBS}"
fi
fi
-@@ -36628,7 +36628,7 @@ fi;
- test "${enable_debug}" != "yes" && enable_debug="no"
-
-
--if test "x${enable_debug}" == "xno"; then
-+if test "x${enable_debug}" = "xno"; then
- cat >>confdefs.h <<\_ACEOF
- #define NDEBUG 1
+ if test "${THREAD_LIB}" = "error"; then
+- { echo "$as_me:$LINENO: checking for main in -lpthreads" >&5
+-echo $ECHO_N "checking for main in -lpthreads... $ECHO_C" >&6; }
++ { echo "$as_me:$LINENO: checking for main in ${PTHREAD_LDFLAGS}
${PTHREAD_LIBS}" >&5
++echo $ECHO_N "checking for main in ${PTHREAD_LDFLAGS} ${PTHREAD_LIBS} ...
$ECHO_C" >&6; }
+ if test "${ac_cv_lib_pthreads_main+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+ ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lpthreads $LIBS"
++LIBS="${PTHREAD_LDFLAGS} ${PTHREAD_LIBS} $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
_ACEOF
-@@ -37311,7 +37311,7 @@ echo "${ECHO_T}yes" >&6
+@@ -30301,7 +30301,7 @@
+ { echo "$as_me:$LINENO: result: $ac_cv_lib_pthreads_main" >&5
+ echo "${ECHO_T}$ac_cv_lib_pthreads_main" >&6; }
+ if test $ac_cv_lib_pthreads_main = yes; then
+- THREAD_LIB="-lpthreads"
++ THREAD_LIB="${PTHREAD_LDFLAGS} ${PTHREAD_LIBS}"
+ fi
+
+ fi
+@@ -37737,7 +37737,7 @@
for element in access_dv; do
@@ -46,8 +59,8 @@
am_modules_with_ldflags="${am_modules_with_ldflags} ${element}"
done
-@@ -37563,7 +37563,7 @@ echo $ECHO_N "checking for avc1394 heade
- echo "${ECHO_T}yes" >&6
+@@ -37980,7 +37980,7 @@
+ echo "${ECHO_T}yes" >&6; }
for element in access_dv; do
- eval "LDFLAGS_${element}="'"'"-L${with_dv_avc1394}/lib -lavc1394
-lrom1394 -lpthread "'$'"{LDFLAGS_${element}} "'"'
@@ -55,7 +68,7 @@
am_modules_with_ldflags="${am_modules_with_ldflags} ${element}"
done
-@@ -37727,7 +37727,7 @@ if test `eval echo '${'$as_ac_Header'}'`
+@@ -38135,7 +38135,7 @@
_ACEOF
for element in access_dv; do
@@ -64,8 +77,8 @@
am_modules_with_ldflags="${am_modules_with_ldflags} ${element}"
done
-@@ -37766,7 +37766,7 @@ echo "$as_me: error: cannot cd to ${real
- echo "${ECHO_T}${real_dv_avc1394_tree}/src/.libs/libavc1394.a" >&6
+@@ -38174,7 +38174,7 @@
+ echo "${ECHO_T}${real_dv_avc1394_tree}/src/.libs/libavc1394.a" >&6; }
for element in access_dv; do
- eval "LDFLAGS_${element}="'"'"-L${real_dv_avc1394_tree}/src/.libs
-lavc1394 -lrom1394 -lpthread "'$'"{LDFLAGS_${element}} "'"'
@@ -73,14 +86,14 @@
am_modules_with_ldflags="${am_modules_with_ldflags} ${element}"
done
-@@ -43126,14 +43126,14 @@ echo "${ECHO_T}no" >&6
+@@ -43411,18 +43411,18 @@
echo "$as_me: error: cannot cd to ${with_ffmpeg_tree}" >&2;}
{ (exit 1); exit 1; }; }
fi
- if ! test -f "${real_ffmpeg_tree}/libavcodec/libavcodec.a"; then
+ if ! test -f "${real_ffmpeg_tree}/libavcodec.a"; then
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
+ { echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6; }
- { { echo "$as_me:$LINENO: error: cannot find
${real_ffmpeg_tree}/libavcodec/libavcodec.a, make sure you compiled libavcodec
in ${with_ffmpeg_tree}" >&5
-echo "$as_me: error: cannot find ${real_ffmpeg_tree}/libavcodec/libavcodec.a,
make sure you compiled libavcodec in ${with_ffmpeg_tree}" >&2;}
+ { { echo "$as_me:$LINENO: error: cannot find
${real_ffmpeg_tree}/libavcodec.a, make sure you compiled libavcodec in
${with_ffmpeg_tree}" >&5
@@ -88,29 +101,35 @@
{ (exit 1); exit 1; }; }
fi
- if ! fgrep -s "pp_get_context"
"${real_ffmpeg_tree}/libavcodec/libavcodec.a"; then
+- if test -f "${real_ffmpeg_tree}/libavcodec/libpostproc/libpostproc.a";
then
+ if ! fgrep -s "pp_get_context" "${real_ffmpeg_tree}/libavcodec.a"; then
- if test -f "${real_ffmpeg_tree}/libavcodec/libpostproc/libpostproc.a";
then
++ if test -f "${real_ffmpeg_tree}/libpostproc/libpostproc.a"; then
for element in ffmpeg; do
-@@ -43144,13 +43144,13 @@ echo "$as_me: error: cannot find ${real_
+- eval
"LDFLAGS_${element}="'"'"-L${real_ffmpeg_tree}/libavcodec/libpostproc
${real_ffmpeg_tree}/libavcodec/libpostproc/libpostproc.a
"'$'"{LDFLAGS_${element}} "'"'
++ eval "LDFLAGS_${element}="'"'"-L${real_ffmpeg_tree}/libpostproc
${real_ffmpeg_tree}/libpostproc/libpostproc.a "'$'"{LDFLAGS_${element}} "'"'
+ am_modules_with_ldflags="${am_modules_with_ldflags} ${element}"
+ done
+
+@@ -43442,13 +43442,13 @@
else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
-- { { echo "$as_me:$LINENO: error:
${real_ffmpeg_tree}/libavcodec/libavcodec.a was not compiled with
postprocessing support, make sure you configured ffmpeg with --enable-pp" >&5
--echo "$as_me: error: ${real_ffmpeg_tree}/libavcodec/libavcodec.a was not
compiled with postprocessing support, make sure you configured ffmpeg with
--enable-pp" >&2;}
-+ { { echo "$as_me:$LINENO: error: ${real_ffmpeg_tree}/libavcodec.a was
not compiled with postprocessing support, make sure you configured ffmpeg with
--enable-pp" >&5
-+echo "$as_me: error: ${real_ffmpeg_tree}/libavcodec.a was not compiled with
postprocessing support, make sure you configured ffmpeg with --enable-pp" >&2;}
+ { echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6; }
+- { { echo "$as_me:$LINENO: error: cannot find libpostproc.a in
${real_ffmpeg_tree}/libavcodec/libpostproc/. Make sure you configured ffmpeg
with --enable-pp" >&5
+-echo "$as_me: error: cannot find libpostproc.a in
${real_ffmpeg_tree}/libavcodec/libpostproc/. Make sure you configured ffmpeg
with --enable-pp" >&2;}
++ { { echo "$as_me:$LINENO: error: cannot find libpostproc.a in
${real_ffmpeg_tree}/libpostproc/. Make sure you configured ffmpeg with
--enable-pp" >&5
++echo "$as_me: error: cannot find libpostproc.a in
${real_ffmpeg_tree}/libpostproc/. Make sure you configured ffmpeg with
--enable-pp" >&2;}
{ (exit 1); exit 1; }; }
fi
fi
-- echo "$as_me:$LINENO: result:
${real_ffmpeg_tree}/libavcodec/libavcodec.a" >&5
--echo "${ECHO_T}${real_ffmpeg_tree}/libavcodec/libavcodec.a" >&6
-+ echo "$as_me:$LINENO: result: ${real_ffmpeg_tree}/libavcodec.a" >&5
-+echo "${ECHO_T}${real_ffmpeg_tree}/libavcodec.a" >&6
+- { echo "$as_me:$LINENO: result:
${real_ffmpeg_tree}/libavcodec/libavcodec.a" >&5
+-echo "${ECHO_T}${real_ffmpeg_tree}/libavcodec/libavcodec.a" >&6; }
++ { echo "$as_me:$LINENO: result: ${real_ffmpeg_tree}/libavcodec.a" >&5
++echo "${ECHO_T}${real_ffmpeg_tree}/libavcodec.a" >&6; }
if fgrep -s "CONFIG_ZLIB=yes" "${real_ffmpeg_tree}/config.mak"; then
if test "${with_ffmpeg_zlib}" != "yes"; then
-@@ -43318,7 +43318,7 @@ fi
+@@ -43614,7 +43614,7 @@
for element in ffmpeg; do
@@ -119,7 +138,38 @@
am_modules_with_ldflags="${am_modules_with_ldflags} ${element}"
done
-@@ -55864,7 +55864,7 @@ fi
+@@ -46823,22 +46823,22 @@
+ echo "$as_me: error: cannot cd to ${with_ffmpeg_tree}" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+- if ! test -f "${real_ffmpeg_tree}/libavcodec/libavcodecaltivec.a"; then
++ if ! test -f "${real_ffmpeg_tree}/libavcodecaltivec.a"; then
+ { echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6; }
+- { { echo "$as_me:$LINENO: error: cannot find
${real_ffmpeg_tree}/libavcodec/libavcodecaltivec.a, make sure you compiled
libavcodecaltivec in ${with_ffmpeg_tree}" >&5
+-echo "$as_me: error: cannot find
${real_ffmpeg_tree}/libavcodec/libavcodecaltivec.a, make sure you compiled
libavcodecaltivec in ${with_ffmpeg_tree}" >&2;}
++ { { echo "$as_me:$LINENO: error: cannot find
${real_ffmpeg_tree}/libavcodecaltivec.a, make sure you compiled
libavcodecaltivec in ${with_ffmpeg_tree}" >&5
++echo "$as_me: error: cannot find ${real_ffmpeg_tree}/libavcodecaltivec.a,
make sure you compiled libavcodecaltivec in ${with_ffmpeg_tree}" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+- if ! fgrep -s "pp_get_context"
"${real_ffmpeg_tree}/libavcodec/libavcodecaltivec.a"; then
++ if ! fgrep -s "pp_get_context" "${real_ffmpeg_tree}/libavcodecaltivec.a";
then
+ { echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6; }
+- { { echo "$as_me:$LINENO: error:
${real_ffmpeg_tree}/libavcodec/libavcodecaltivec.a was not compiled with
postprocessing support, make sure you configured ffmpeg with --enable-pp" >&5
+-echo "$as_me: error: ${real_ffmpeg_tree}/libavcodec/libavcodecaltivec.a was
not compiled with postprocessing support, make sure you configured ffmpeg with
--enable-pp" >&2;}
++ { { echo "$as_me:$LINENO: error:
${real_ffmpeg_tree}/libavcodecaltivec.a was not compiled with postprocessing
support, make sure you configured ffmpeg with --enable-pp" >&5
++echo "$as_me: error: ${real_ffmpeg_tree}/libavcodecaltivec.a was not compiled
with postprocessing support, make sure you configured ffmpeg with --enable-pp"
>&2;}
+ { (exit 1); exit 1; }; }
+ fi
+- { echo "$as_me:$LINENO: result:
${real_ffmpeg_tree}/libavcodec/libavcodecaltivec.a" >&5
+-echo "${ECHO_T}${real_ffmpeg_tree}/libavcodec/libavcodecaltivec.a" >&6; }
++ { echo "$as_me:$LINENO: result:
${real_ffmpeg_tree}/libavcodecaltivec.a" >&5
++echo "${ECHO_T}${real_ffmpeg_tree}/libavcodecaltivec.a" >&6; }
+
+ BUILTINS="${BUILTINS} ffmpegaltivec"
+
+@@ -55799,7 +55799,7 @@
for element in directfb; do
@@ -128,7 +178,7 @@
am_modules_with_ldflags="${am_modules_with_ldflags} ${element}"
done
-@@ -56043,7 +56043,7 @@ if test "${with_directfb+set}" = set; th
+@@ -55966,7 +55966,7 @@
for element in directfb; do
@@ -137,7 +187,7 @@
am_modules_with_ldflags="${am_modules_with_ldflags} ${element}"
done
-@@ -58056,7 +58056,7 @@ echo $ECHO_N "checking for XML parser to
+@@ -57897,7 +57897,7 @@
LIBS_save="$LIBS"
LIBS_cclink="no"
for l in "`xml2-config --libs`" -lexpat -lxerces-c; do
@@ -146,17 +196,8 @@
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
-@@ -58120,7 +58120,7 @@ rm -f conftest.err conftest.$ac_objext \
- conftest$ac_exeext conftest.$ac_ext
- done
- LIBS="${LIBS_save}"
-- if test "${LIBS_cclink}" == "no"; then
-+ if test "${LIBS_cclink}" = "no"; then
- { { echo "$as_me:$LINENO: error: cannot find XML parser for CyberLink
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot find XML parser for CyberLink
-@@ -58132,7 +58132,7 @@ fi
- echo "${ECHO_T}${LIBS_cclink}" >&6
+@@ -57972,7 +57972,7 @@
+ echo "${ECHO_T}${LIBS_cclink}" >&6; }
for element in upnp_cc; do
- eval "LDFLAGS_${element}="'"'"${real_cyberlink_tree}/lib/unix/libclink.a
-lpthread ${LIBS_cclink} "'$'"{LDFLAGS_${element}} "'"'
@@ -164,7 +205,7 @@
am_modules_with_ldflags="${am_modules_with_ldflags} ${element}"
done
-@@ -58181,7 +58181,7 @@ if test "${ac_cv_lib_upnp_UpnpInit+set}"
+@@ -58021,7 +58021,7 @@
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
@@ -173,30 +214,12 @@
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
-@@ -58244,7 +58244,7 @@ else
- has_upnp="no"
- fi
-
-- if test "x${enable_upnp}" != "x" && test "${has_upnp}" == "no"; then
-+ if test "x${enable_upnp}" != "x" && test "${has_upnp}" = "no"; then
- Â
- { { echo "$as_me:$LINENO: error: cannot find Intel UPnP SDK (libupnp)" >&5
- echo "$as_me: error: cannot find Intel UPnP SDK (libupnp)" >&2;}
-@@ -58252,7 +58252,7 @@ echo "$as_me: error: cannot find Intel U
-
- fi
+@@ -63889,7 +63889,7 @@
-- if test "${has_upnp}" == "yes"; then
-+ if test "${has_upnp}" = "yes"; then
-
-
- for element in upnp_intel; do
-@@ -58271,7 +58271,7 @@ else
- fi
-
-
--if test "${has_upnp}" == "yes"; then
-+if test "${has_upnp}" = "yes"; then
-
-
- PLUGINS="${PLUGINS} upnp_intel"
+ if test "${enable_java_bindings}" = "yes"
+ then
+- if test "x${JAVA_HOME}" == "x"; then
++ if test "x${JAVA_HOME}" = "x"; then
+ { { echo "$as_me:$LINENO: error: Please set the JAVA_HOME variable to your
JDK environment" >&5
+ echo "$as_me: error: Please set the JAVA_HOME variable to your JDK
environment" >&2;}
+ { (exit 1); exit 1; }; }
Index: multimedia/vlc/patches/patch-ak
===================================================================
RCS file: multimedia/vlc/patches/patch-ak
diff -N multimedia/vlc/patches/patch-ak
--- multimedia/vlc/patches/patch-ak 22 Jun 2007 14:32:24 -0000 1.2
+++ /dev/null 1 Jan 1970 00:00:00 -0000
@@ -1,25 +0,0 @@
-$NetBSD: patch-ak,v 1.2 2007/06/22 14:32:24 lkundrak Exp $
-
-Fix for CVE-2007-3316 format-string vulnerability in CDDA module described
-by VideoLAN-SA-0702 advisory. Backported from 0.8.6c.
-
---- modules/access/cdda.c.orig 2006-05-06 17:52:18.000000000 +0200
-+++ modules/access/cdda.c
-@@ -630,7 +630,7 @@ static int GetTracks( access_t *p_access
- {
- vlc_input_item_AddInfo( &p_item->input,
- _(VLC_META_INFO_CAT),
-- _(VLC_META_TITLE),
-+ _(VLC_META_TITLE), "%s",
- cddb_track_get_title( t ) );
- if( p_item->input.psz_name )
- free( p_item->input.psz_name );
-@@ -641,7 +641,7 @@ static int GetTracks( access_t *p_access
- if( psz_result )
- {
- vlc_input_item_AddInfo( &p_item->input,
-- _(VLC_META_INFO_CAT),
-+ _(VLC_META_INFO_CAT), "%s",
- _(VLC_META_ARTIST), psz_result );
- }
- }
Index: multimedia/vlc/patches/patch-al
===================================================================
RCS file: multimedia/vlc/patches/patch-al
diff -N multimedia/vlc/patches/patch-al
--- multimedia/vlc/patches/patch-al 22 Jun 2007 14:13:16 -0000 1.1
+++ /dev/null 1 Jan 1970 00:00:00 -0000
@@ -1,16 +0,0 @@
-$NetBSD: patch-al,v 1.1 2007/06/22 14:13:16 lkundrak Exp $
-
-Fix for CVE-2007-3316 format-string vulnerability in Vorbis module described
-by VideoLAN-SA-0702 advisory. Backported from 0.8.6c.
-
---- modules/codec/vorbis.c.orig 2007-06-22 16:03:12.000000000 +0200
-+++ modules/codec/vorbis.c
-@@ -614,7 +614,7 @@ static void ParseVorbisComments( decoder
- *psz_value = '\0';
- psz_value++;
- input_Control( p_input, INPUT_ADD_INFO, _("Vorbis comment"),
-- psz_name, psz_value );
-+ psz_name, "%s", psz_value );
- if( strcasestr( psz_name, "artist" ) )
- {
- vlc_input_item_AddInfo( p_input->input.p_item,
Index: multimedia/vlc/patches/patch-am
===================================================================
RCS file: multimedia/vlc/patches/patch-am
diff -N multimedia/vlc/patches/patch-am
--- multimedia/vlc/patches/patch-am 22 Jun 2007 14:13:16 -0000 1.1
+++ /dev/null 1 Jan 1970 00:00:00 -0000
@@ -1,16 +0,0 @@
-$NetBSD: patch-am,v 1.1 2007/06/22 14:13:16 lkundrak Exp $
-
-Fix for CVE-2007-3316 format-string vulnerability in Theora module described
-by VideoLAN-SA-0702 advisory. Backported from 0.8.6c.
-
---- modules/codec/theora.c.orig 2007-06-22 16:04:59.000000000 +0200
-+++ modules/codec/theora.c
-@@ -510,7 +510,7 @@ static void ParseTheoraComments( decoder
- *psz_value = '\0';
- psz_value++;
- input_Control( p_input, INPUT_ADD_INFO, _("Theora comment"),
-- psz_name, psz_value );
-+ psz_name, "%s", psz_value );
- }
- free( psz_comment );
- i++;
Index: multimedia/vlc/patches/patch-an
===================================================================
RCS file: multimedia/vlc/patches/patch-an
diff -N multimedia/vlc/patches/patch-an
--- multimedia/vlc/patches/patch-an 22 Jun 2007 14:13:17 -0000 1.1
+++ /dev/null 1 Jan 1970 00:00:00 -0000
@@ -1,22 +0,0 @@
-$NetBSD: patch-an,v 1.1 2007/06/22 14:13:17 lkundrak Exp $
-
-Fix for CVE-2007-3316 format-string vulnerability in SAP module described
-by VideoLAN-SA-0702 advisory. Backported from 0.8.6c.
-
---- modules/services_discovery/sap.c.orig 2007-06-22 16:06:09.000000000
+0200
-+++ modules/services_discovery/sap.c
-@@ -818,12 +818,12 @@ sap_announce_t *CreateAnnounce( services
- if( psz_value != NULL )
- {
- vlc_input_item_AddInfo( &p_item->input, _("Session"),
-- _("Tool"), psz_value );
-+ _("Tool"), "%s", psz_value );
- }
- if( strcmp( p_sdp->psz_username, "-" ) )
- {
- vlc_input_item_AddInfo( &p_item->input, _("Session"),
-- _("User"), p_sdp->psz_username );
-+ _("User"), "%s", p_sdp->psz_username );
- }
-
- psz_value = GetAttribute( p_sap->p_sdp, "x-plgroup" );
Index: multimedia/vlc/patches/patch-ba
===================================================================
RCS file: multimedia/vlc/patches/patch-ba
diff -N multimedia/vlc/patches/patch-ba
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ multimedia/vlc/patches/patch-ba 3 Nov 2007 14:29:33 -0000
@@ -0,0 +1,40 @@
+$NetBSD$
+
+--- modules/codec/faad.c.orig 2007-06-18 14:23:12.000000000 +0200
++++ modules/codec/faad.c
+@@ -68,7 +68,9 @@ struct decoder_sys_t
+ /* Channel positions of the current stream (for re-ordering) */
+ uint32_t pi_channel_positions[MAX_CHANNEL_POSITIONS];
+
++#if 0 /* this needs faad2-2.5 which has license issues */
+ vlc_bool_t b_sbr, b_ps;
++#endif
+ };
+
+ static const uint32_t pi_channels_in[MAX_CHANNEL_POSITIONS] =
+@@ -169,7 +171,9 @@ static int Open( vlc_object_t *p_this )
+ /* Faad2 can't deal with truncated data (eg. from MPEG TS) */
+ p_dec->b_need_packetized = VLC_TRUE;
+
++#if 0 /* see above */
+ p_sys->b_sbr = p_sys->b_ps = VLC_FALSE;
++#endif
+ return VLC_SUCCESS;
+ }
+
+@@ -315,6 +319,7 @@ static aout_buffer_t *DecodeBlock( decod
+ p_dec->fmt_out.audio.i_rate = frame.samplerate;
+ p_dec->fmt_out.audio.i_channels = frame.channels;
+
++#if 0 /* see above */
+ /* Adjust stream info when dealing with SBR/PS */
+ if( (p_sys->b_sbr != frame.sbr || p_sys->b_ps != frame.ps) &&
+ p_dec->p_parent->i_object_type == VLC_OBJECT_INPUT )
+@@ -336,6 +341,7 @@ static aout_buffer_t *DecodeBlock( decod
+ free( psz_cat );
+ p_sys->b_sbr = frame.sbr; p_sys->b_ps = frame.ps;
+ }
++#endif
+
+ /* Convert frame.channel_position to our own channel values */
+ p_dec->fmt_out.audio.i_physical_channels = 0;
Home |
Main Index |
Thread Index |
Old Index